On Thu, Oct 14, 2010 at 23:09, Roy Stogner <roystgnr@ices.utexas.edu> wrote:

Reasonable, but too fragile.  On a couple system/compiler/app
combinations I now get errors like this:

/usr/lib/petsc/include/petscis.h:29:99: error: macro "ISCreateGeneral" requires 5 arguments, but only 4 given

Are you including petsc headers after petsc_macro.h?  Looks like I made a wrong assumption about when it was included.

I think I didn't see this because I only tested 3.1 and -dev.  On both of these, "petsc.h" is a meta-header that includes everything, it used to be only what is now "petscsys.h".  So the header guards prevented me from seeing what you are seeing, presumably with 3.0 or earlier.

I'm going to change the macro name.

That's reasonable.

Jed